<!DOCTYPE html>
<html>
    <head>
        <title>Test Request</title>
        <style></style>
    </head>
    <body>
        <button id="btn-test">Test Request</button>
        <div id="result"></div>
        <script>
            var btn = document.getElementById("btn-test");
            btn.onclick = function(){
                fetch("http://localhost:3000/salam/Req001",
                {
                    method: "POST",
                    headers: {
                        "Content-type": "application/json"
                    },
                    body: JSON.stringify({
                        "nama": "Bambang",
                        "jurusan":"Teknik Informatika"
                    })
                }).then(function(res){
                    return res.text();
                }).then(function(res){ 
                    document.getElementById("result")
                    .innerHTML = res;
                });
            }
        </script>
    </body>
</html>